%if 0%{?rhel} && 0%{?rhel} <= 6
%global __python2 python27
%global __tkinter tkinter27
%else
%global __python2 python
%global __tkinter tkinter
%endif
%global python2_sitelib %(python2.7 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")

%global with_python3 1
%global __python3 python36
%global python3_sitelib %(python3.6 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")

%global __base appdirs
%global __sum Python module for determining platform-specific directories
%global __desc A small Python module for determining appropriate " + " platform-specific directories, e.g. a "user data dir"

Name:           %{__python2}-%{__base}
Version:        1.4.3
Release:        1%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{__base}/
Source0:        https://pypi.io/packages/source/a/%{__base}/%{__base}-%{version}.tar.gz

BuildArch:      noarch

# For use by selftests:
BuildRequires:  %{__python2}-devel
BuildRequires:  %{__tkinter}

%if 0%{?with_python3}
BuildRequires:  %{__python3}
%endif
Provides:       %{__python2}-%{__base} = %{version}-%{release}

%description
%{__desc}

This is the Python 2 build of the module.

%if 0%{?with_python3}
%package -n %{__python3}-%{__base}
Summary:        %{__sum}
Group:          Development/Languages

%description -n %{__python3}-%{__base}
%{__desc}

This is the Python 3 build of the module.
%endif

%prep
%setup -q -n %{__base}-%{version}

%install
%if 0%{?with_python3}
python3.6 setup.py install --root %{buildroot} --optimize=1
%endif
python2.7 setup.py install --root %{buildroot} --optimize=1


#%check
#py.test-%{python2_version} -rfsxX test_six.py
#%if 0%{?with_python3}
#py.test-%{python3_version} -rfsxX test_six.py
#%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n %{__python3}-%{__base}
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{__base}*
%{python3_sitelib}/__pycache__/*
%endif


%changelog

